 @echo off
Title All In One Unlock Bootloader Tool By Phyo Chan(MMSD)
color 0f

echo. ============================================
echo.
echo. Thank Visit Us MMSD
echo.
echo. www.myanmarmobilesoftwaredeveloper.com
echo.
echo. All In One Unlock Bootloader Tool
echo.
echo. Creator By Phyo Chan
echo.
echo. phyochansoftware2012@gmail.com
echo.
echo. ==============================================

echo.
:start
echo.Select Your Device
echo.
echo.1. Huawei
echo.
echo.2. Sony
echo.
echo.3. HTC
echo.
echo.4. Other Devices(eg.Nexus And etc)
echo.
echo.
set /p type=Make a choice:
if %type% == 1 GOTO huawei
if %type% == 2 GOTO sony
if %type% == 3 GOTO htc
if %type% == 4 GOTO other
echo.
echo Please Enter a valid number (1 to 4)
echo.
GOTO start

:huawei
cls
echo. Huawei Bootloader Unlocking Process
echo.
echo. 1. Goto Huawei Unlocking Site (China)
echo.
echo. 2. Goto Huawei Unlocking Site (English)
echo.
echo. 3. Start To Unlocking
echo.
echo. 4. Goto 1 Page
echo.
set /p type=What You Need:
if %type% == 1 GOTO Unlocksitech
if %type% == 2 GOTO Unlocksiteen
if %type% == 3 GOTO huaweicode
if %type% == 4 GOTO Start
echo.
echo Please Enter a vaild number (1 to 4)
echo.
GOTO huawei

:Unlocksitech
Start http://www.huaweidevice.com/cn/servicePolicy.do…
goto huawei

:Unlocksiteen
Start http://www.huaweidevice.com/worldwide/servicePolicy.do…
goto huawei

:huaweicode
set /p unlockcode=Please Enter Your Unlock Code (16):
fastboot devices
echo.
echo. Please Wait Your Unlocking
pause >nul
fastboot oem unlock %unlockcode%
echo. Finishing
echo.
GOTO exit

:sony
cls
echo. Sony Xperia Bootloader Unlocking Process
echo.
echo. 1. Goto Sony Unlocking Site
echo.
echo. 2. Start To Unlocking
echo.
echo. 3. Goto 1 Page
echo.
set /p type=What You Need:
if %type% == 1 GOTO unlocksonysite
if %type% == 2 GOTO unlocksony
if %type% == 3 GOTO Start
echo.
echo Please Enter a vaild number (1 to 3)
echo.
GOTO sony

:unlocksonysite
start http://unlockbootloader.sonymobile.com/node/add/ubs-request…
GOTO sony

:unlocksony
set /p unlockcode=Please Enter Your Unlock Code (16):
fastboot.exe -i 0x0fce getvar version
echo.
echo. Please Wait Your Unlocking
pause >nul
fastboot.exe -i 0x0fce oem unlock 0x%unlockcode%
echo. Finishing
echo.
GOTO exit

:htc
cls
echo. HTC Devices Bootloader Unlocking Process
echo.
echo. 1. Goto HTC DEV
echo.
echo. 2. To Get Identifier Token
echo.
echo. 3. Start To Unlocking
echo.
echo. 4. GOTO Page 1
echo.
set /p type=What You Need:
if %type% == 1 GOTO htcdev
if %type% == 2 GOTO htctoken
if %type% == 3 GOTO htcunlock
if %type% == 4 GOTO Start
echo.
echo Please Enter a vaild number (1 to 3)
echo.
GOTO htc

:htcdev
start http://htcdev.com/
GOTO htc

:htctoken
echo.
echo. To Get Identifier Token
echo.
echo.
fastboot devices
fastboot oem get_identifier_token
pause
GOTO htc

:htcunlock
echo.
echo. Start To Unlocking Your HTC Devices
echo.
fastboot flash unlocktoken Unlock_code.bin
pause
GOTO exit

:exit
exit

:other
cls.
echo. Nexus And Other Devices Unlocking Bootloader Process
echo.
echo.
echo. Pass Any Key To Unlocking Bootloader
pause>>nul
fastboot oem unlock
echo.
echo. Finishing !!!!